Checkout event
curl --request POST \
--url https://api.vambe.me/api/public/apps/{appId}/events/checkout \
--header 'Content-Type: application/json' \
--header 'x-vambe-signature: <x-vambe-signature>' \
--header 'x-vambe-timestamp: <x-vambe-timestamp>' \
--data '
{
"checkout": {
"external_id": "<string>",
"external_name": "<string>",
"currency": "<string>",
"total_price": 1,
"recover_url": "<string>",
"details_url": "<string>",
"line_items": [
{
"external_product_id": "<string>",
"quantity": 4503599627370495
}
]
}
}
'const options = {
method: 'POST',
headers: {
'x-vambe-timestamp': '<x-vambe-timestamp>',
'x-vambe-signature': '<x-vambe-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
checkout: {
external_id: '<string>',
external_name: '<string>',
currency: '<string>',
total_price: 1,
recover_url: '<string>',
details_url: '<string>',
line_items: [{external_product_id: '<string>', quantity: 4503599627370495}]
}
})
};
fetch('https://api.vambe.me/api/public/apps/{appId}/events/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/apps/{appId}/events/checkout"
payload = { "checkout": {
"external_id": "<string>",
"external_name": "<string>",
"currency": "<string>",
"total_price": 1,
"recover_url": "<string>",
"details_url": "<string>",
"line_items": [
{
"external_product_id": "<string>",
"quantity": 4503599627370495
}
]
} }
headers = {
"x-vambe-timestamp": "<x-vambe-timestamp>",
"x-vambe-signature": "<x-vambe-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Custom Ecommerce Apps ยท Webhooks
Checkout event
Push an abandoned/created checkout to enable recovery for the resolved installation.
POST
/
api
/
public
/
apps
/
{appId}
/
events
/
checkout
Checkout event
curl --request POST \
--url https://api.vambe.me/api/public/apps/{appId}/events/checkout \
--header 'Content-Type: application/json' \
--header 'x-vambe-signature: <x-vambe-signature>' \
--header 'x-vambe-timestamp: <x-vambe-timestamp>' \
--data '
{
"checkout": {
"external_id": "<string>",
"external_name": "<string>",
"currency": "<string>",
"total_price": 1,
"recover_url": "<string>",
"details_url": "<string>",
"line_items": [
{
"external_product_id": "<string>",
"quantity": 4503599627370495
}
]
}
}
'const options = {
method: 'POST',
headers: {
'x-vambe-timestamp': '<x-vambe-timestamp>',
'x-vambe-signature': '<x-vambe-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
checkout: {
external_id: '<string>',
external_name: '<string>',
currency: '<string>',
total_price: 1,
recover_url: '<string>',
details_url: '<string>',
line_items: [{external_product_id: '<string>', quantity: 4503599627370495}]
}
})
};
fetch('https://api.vambe.me/api/public/apps/{appId}/events/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/apps/{appId}/events/checkout"
payload = { "checkout": {
"external_id": "<string>",
"external_name": "<string>",
"currency": "<string>",
"total_price": 1,
"recover_url": "<string>",
"details_url": "<string>",
"line_items": [
{
"external_product_id": "<string>",
"quantity": 4503599627370495
}
]
} }
headers = {
"x-vambe-timestamp": "<x-vambe-timestamp>",
"x-vambe-signature": "<x-vambe-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Headers
Unix epoch seconds when the request was signed. Requests older than 5 minutes are rejected.
Hex HMAC-SHA256 of ${x-vambe-timestamp}.${rawBody} using the app signing secret.
Path Parameters
Body
application/json
Response
201 - undefined
Was this page helpful?
โI
